The Hammer - Bug #49

Clicking save icon while focus is on code explorer triggers error 98
05/06/2017 12:03 PM - Wil van Antwerpen

Status: Closed Start date: 05/06/2017
Priority: Normal Due date:

Assignee: Wil van Antwerpen % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
In ThaHammerActions.pkg is this bit of code:

// Tries to get a function | message from the view or the edit

Function RequestGetFromViewEx Integer iMsg Integer bEdit Integer iParal Integer iPara2 Returns Integer

Integer holD iRet iOK

Move (Focus(Desktop)) to holD
If (holD<>0) Begin

Get GetEditViewID of holD  to holD

holD is set to:
oMain.oToolPane.oToolsDialog.oTP_Database.oTablesTree

and as such it doesn't know the GetEditViewID method.

We should look at a better way to find the current edit window. It probably already exists.

History

#1 - 07/24/2017 01:59 PM - Wil van Antwerpen
- Status changed from New to In Progress

- Assignee set to Wil van Antwerpen

Clicking the save icon while focus on code explorer was no longer a problem.
But if you click the save icon when the focus is on a tool panel still resulted in:

Invalid message. GET_GETEDITVIEWID
Error: 98

GET_REQUESTGETFROMVIEWEX (14083) - oClientArea (922) - at address 125590
MSG_REQUESTSENDTOVIEW (14086) - oClientArea (922) - at address 125652
MSG_CASAVEFILE (14108) - oClientArea (922) - at address 126043
MSG_ONEXECUTE (9043) - oSaveltem (868) - at address 119525

MSG_EXECUTE (9042) - oSaveltem (868) - at address 54645
MSG_ONCOMEXECUTE (8142) - oCommandBarSystem (633) - at address 53639
[start] - at address 130002

Reason here being that with the focus on an item not within the client_area the method bubbles up into main.

Which is where | have now resolved this.
#2 - 07/25/2017 08:39 PM - Wil van Antwerpen

- Status changed from In Progress to Resolved

This should be fixed now.

#3 - 08/12/2017 12:35 PM - Wil van Antwerpen

- Status changed from Resolved to Closed

07/13/2025

22


http://www.tcpdf.org

